
// The D/Objective-C Bridge
// Copyright © 2007  Michel Fortin
// <http://michelf.com/d-objc-bridge/>
//
// This program is free software: you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free 
// Software Foundation, either version 3 of the License, or (at your option) 
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT 
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
//
// You should have received a copy of the GNU General Public License along 
// with this program. If not, see <http://www.gnu.org/licenses/>.

module cocoa.appkit.graphics;


enum NSCompositingOperation {
    CLEAR = 0,
    COPY = 1,
    SOURCE_OVER = 2,
    SOURCE_IN = 3,
    SOURCE_OUT = 4,
    SOURCE_ATOM = 5,
    DESTINATION_OVER = 6,
    DESTINATION_IN = 7,
    DESTINATION_OUT = 8,
    DESTINATION_ATOM = 9,
    XOR = 10,
    PLUS_DARKER = 11,
    HIGHLIGHT = 12,
    PLUS_LIGHTER = 13
}

/* types of window backing store */
enum NSBackingStoreType {
    RETAINED = 0,
    NONRETAINED = 1,
    BUFFERED = 2
}

/* ways to order windows */
enum NSWindowOrderingMode {
    ABOVE =  1,
    BELOW = -1,
    OUT =  0
}

/* order in which to draw focus ring - above or below graphic or just draw ring */
enum NSFocusRingPlacement {
    ONLY = 0,
    BELOW = 1,
    ABOVE = 2
}

version (MAC_OS_X_VERSION_10_3) {

	/* used by NSView and NSCell to configure if and how the control should draw its focus ring */ 
	enum NSFocusRingType {
		DEFAULT = 0,
		NONE = 1,
		EXTERIOR = 2
	}

}

