
// The D/Objective-C Bridge
// Copyright © 2007  Michel Fortin
// <http://michelf.com/d-objc-bridge/>
//
// This program is free software: you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free 
// Software Foundation, either version 3 of the License, or (at your option) 
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT 
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
//
// You should have received a copy of the GNU General Public License along 
// with this program. If not, see <http://www.gnu.org/licenses/>.

module cocoa.appkit.image;

import cocoa.foundation.object;
import cocoa.foundation.string;

import objc.bridge;


class NSImage : NSObject {
	mixin ObjcWrap;
	this(objc.runtime.id self) { super(self); }


	/** Create an image from the content of file at path filename. */
	this(NSString filename) {
		super(objcAlloc);
		objcInstance = invokeObjcSuper!(objc.runtime.id, "initWithContentsOfFile:")(filename);
	}
	
}