
// The D/Objective-C Bridge
// Copyright © 2007  Michel Fortin
// <http://michelf.com/d-objc-bridge/>
//
// This program is free software: you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free 
// Software Foundation, either version 3 of the License, or (at your option) 
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT 
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
//
// You should have received a copy of the GNU General Public License along 
// with this program. If not, see <http://www.gnu.org/licenses/>.

module cocoa.foundation.enumerator;

import cocoa.foundation.object;
import cocoa.foundation.array;

import objc.bridge;


class NSEnumerator : NSObject {
	mixin ObjcWrap;
	this(objc.runtime.id instance) { super(instance); }

	this() {
		super(objcAlloc);
	}

	Object nextObject() {
		return invokeObjcSuper!(Object, "nextObject")();
	}

	NSArray allObject() {
		return invokeObjcSuper!(NSArray, "allObject")();
	}

	mixin ObjcBindMethod!(nextObject, Object, "nextObject");
	mixin ObjcBindMethod!(allObject, NSArray, "allObject");

}
