
// The D/Objective-C Bridge
// Copyright © 2007  Michel Fortin
// <http://michelf.com/d-objc-bridge/>
//
// This program is free software: you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free 
// Software Foundation, either version 3 of the License, or (at your option) 
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT 
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
//
// You should have received a copy of the GNU General Public License along 
// with this program. If not, see <http://www.gnu.org/licenses/>.

module cocoa.foundation.runtime;

import objc.runtime;

import std.c.stdarg;


extern (C) {
	extern double NSFoundationVersionNumber;
}


enum NSComparisonResult {
	ORDERED_ASCENDING = -1,
	ORDERED_SAME,
	ORDERED_DESCENDING,
}


enum {
	NSNotFound = 0x7fffffff,
}


import cocoa.foundation.string;

private extern (C) extern void NSLogv(id format, va_list args);

/** Logs an error message to stderr. */
void NSLog(NSString format, ...) {
	return NSLogv(format.objcInstance, _argptr);
}

/** ditto */
void NSLog(char[] format, ...) {
	return NSLogv(format.toNSString().objcInstance, _argptr);
}

